%{?nodejs_find_provides_and_requires}

%global packagename expect
%global enable_tests 0
# tests disabled due to missing 'npm(karma)' test suite

Name:		nodejs-expect
Version:	1.20.2
Release:	2%{?dist}
Summary:	Write better assertions

License:	MIT
URL:		https://github.com/mjackson/expect.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(is-equal)
BuildRequires:	npm(object-inspect)
BuildRequires:	npm(tmatch)
%if 0%{?enable_tests}
BuildRequires:	npm(karma)
%endif

%description
Write better assertions


%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ umd/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/karma start
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%license LICENSE.md
%doc CHANGES.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Aug 08 2016 Jared Smith <jsmith@fedoraproject.org> - 1.20.2-2
- Set license file

* Mon Jul 04 2016 Jared Smith <jsmith@fedoraproject.org> - 1.20.2-1
- Update to upstream 1.20.2 release

* Mon Nov 02 2015 Jared Smith <jsmith@fedoraproject.org> - 1.12.2-2
- Add tests, but disable them due to missing npm(babel) dependency

* Thu Oct 15 2015 Jared Smith <jsmith@fedoraproject.org> - 1.12.2-1
- Initial packaging
